<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage  Top Event
 * @since  Top Event 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'top_event_layout',
	array(
		'title'               => esc_html__('Layout','top-event'),
		'description'         => esc_html__( 'Layout section options.', 'top-event' ),
		'panel'               => 'top_event_theme_options_panel',
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'top_event_theme_options[site_layout]',
	array(
		'sanitize_callback'   => 'top_event_sanitize_select',
		'default'             => $options['site_layout'],
	)
);

$wp_customize->add_control(  new  Top_Event_Custom_Radio_Image_Control ( $wp_customize,
	'top_event_theme_options[site_layout]',
		array(
			'label'               => esc_html__( 'Site Layout', 'top-event' ),
			'section'             => 'top_event_layout',
			'choices'			  => top_event_site_layout(),
		)
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'top_event_theme_options[sidebar_position]',
	array(
		'sanitize_callback'   => 'top_event_sanitize_select',
		'default'             => $options['sidebar_position'],
	)
);

$wp_customize->add_control(  new  Top_Event_Custom_Radio_Image_Control ( $wp_customize,
	'top_event_theme_options[sidebar_position]',
		array(
			'label'               => esc_html__( 'Global Sidebar Position', 'top-event' ),
			'section'             => 'top_event_layout',
			'choices'			  => top_event_global_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'top_event_theme_options[post_sidebar_position]',
	array(
		'sanitize_callback'   => 'top_event_sanitize_select',
		'default'             => $options['post_sidebar_position'],
	)
);

$wp_customize->add_control(  new  Top_Event_Custom_Radio_Image_Control ( $wp_customize,
	'top_event_theme_options[post_sidebar_position]',
		array(
			'label'               => esc_html__( 'Posts Sidebar Position', 'top-event' ),
			'section'             => 'top_event_layout',
			'choices'			  => top_event_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'top_event_theme_options[page_sidebar_position]',
	array(
		'sanitize_callback'   => 'top_event_sanitize_select',
		'default'             => $options['page_sidebar_position'],
	)
);

$wp_customize->add_control( new  Top_Event_Custom_Radio_Image_Control( $wp_customize,
	'top_event_theme_options[page_sidebar_position]',
		array(
			'label'               => esc_html__( 'Pages Sidebar Position', 'top-event' ),
			'section'             => 'top_event_layout',
			'choices'			  => top_event_sidebar_position(),
		)
	)
);